{
  "name": "query/task/memori_task.json",
  "columns_not_in_use": "output/task/fi_fi/memori_task.json",
  "parameter": {
    "show_sql": false,
    "parent_id": [
      ""
    ]
  },
  "set": {
    "task_types": [
      [
        "task_task_type",
        "in",
        ["task", "task list"]
      ]
    ]
  },
  "query": [
    [
      "link_parent_id",
      "in",
      "parent_id"
    ],
    "and",
    [
      "link_parent_table",
      "=",
      "task"
    ],
    "and",
    [
      "link_child_table",
      "=",
      "task"
    ],
    "and",
    [
      "task_task_state",
      "=",
      "active"
    ],
    "and",
    "task_types"
  ],
  "structure": [
    {"query": "link/memori_link.json", "parent_field":"link_child_id", "child_field":"link_parent_id", "parameter": [{"tag": "parent_id", "field": "link_child_id"}], "depth": 3, "columns": "output/task/fi_fi/memori_task.json"},
    {"query": "taskw/memori_taskw.json", "parent_field":"task_record_id", "child_field":"taskw_task_id", "parameter": [{"tag": "parent_id", "field": "link_child_id"}]}
  ],
  "orderX3": [
    "link_level_order",
    ">"
  ],
  "order": [
    "task_start_time",
    ">",
    "link_level_order",
    ">",
    "task_description",
    ">"
  ],
  "orderX2": [
    "task_start_time",
    ">",
    "task_description",
    ">"
  ],
  "orderX": "link_level_order >"
}
